Package net.minestom.server.extras.selfmodification.mixins

# Class GlobalPropertyServiceMinestom

java.lang.Object
net.minestom.server.extras.selfmodification.mixins.GlobalPropertyServiceMinestom

All Implemented Interfaces:
  `org.spongepowered.asm.service.IGlobalPropertyService`

public class GlobalPropertyServiceMinestom extends Object implements org.spongepowered.asm.service.IGlobalPropertyService
Global properties service for Mixin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalPropertyServiceMinestom()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `getProperty(org.spongepowered.asm.service.IPropertyKey key)`
  `<T> T`
  `getProperty(org.spongepowered.asm.service.IPropertyKey key, T defaultValue)`
  `String`
  `getPropertyString(org.spongepowered.asm.service.IPropertyKey key, String defaultValue)`
  `org.spongepowered.asm.service.IPropertyKey`
  `resolveKey(String name)`
  `void`
  `setProperty(org.spongepowered.asm.service.IPropertyKey key, Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GlobalPropertyServiceMinestom

    public GlobalPropertyServiceMinestom()

- ## Method Details

  - ### resolveKey

    public org.spongepowered.asm.service.IPropertyKey resolveKey(String name)
    Specified by:
      `resolveKey` in interface `org.spongepowered.asm.service.IGlobalPropertyService`

  - ### getProperty

    public <T> T getProperty(org.spongepowered.asm.service.IPropertyKey key)
    Specified by:
      `getProperty` in interface `org.spongepowered.asm.service.IGlobalPropertyService`

  - ### setProperty

    public void setProperty(org.spongepowered.asm.service.IPropertyKey key, Object value)
    Specified by:
      `setProperty` in interface `org.spongepowered.asm.service.IGlobalPropertyService`

  - ### getProperty

    public <T> T getProperty(org.spongepowered.asm.service.IPropertyKey key, T defaultValue)
    Specified by:
      `getProperty` in interface `org.spongepowered.asm.service.IGlobalPropertyService`

  - ### getPropertyString

    public String getPropertyString(org.spongepowered.asm.service.IPropertyKey key, String defaultValue)
    Specified by:
      `getPropertyString` in interface `org.spongepowered.asm.service.IGlobalPropertyService`